import { IDesignItem } from "../../../../item/IDesignItem.js";
import { IDesignerCanvas } from "../../IDesignerCanvas.js";
import { AbstractExtension } from "../AbstractExtension.js";
import { IExtensionManager } from "../IExtensionManger.js";
export declare class GridChildResizeExtension extends AbstractExtension {
    private _actionModeStarted;
    private _initialPoint;
    private _circle1;
    private _circle2;
    private _circle3;
    private _circle4;
    private _circle5;
    private _circle6;
    private _circle7;
    private _circle8;
    private _initialComputedTransformOrigins;
    private _initialTransformOrigins;
    private _styleBackup;
    constructor(extensionManager: IExtensionManager, designerCanvas: IDesignerCanvas, extendedItem: IDesignItem);
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    _drawResizerOverlay(x: number, y: number, cursor: string, oldCircle?: SVGCircleElement): SVGCircleElement;
    _pointerActionTypeResize(circle: SVGCircleElement, event: PointerEvent, actionMode: string): void;
    dispose(): void;
}
